$(document).ready(function () {
    $("body").on("click", ".button1", tiktUpdfunc);

    // var tr1 = $(this).closest("tr");
    //          apprv = tr1.find(".apprv").val();
    // var apprv = $(".apprv").val();
    // alert(apprv);

//  function checked() {
//    $(".schedtr").find("tr").each(function () {
//      alert(2);
//        var tr1 = $(this),
//        apprv = tr1.find(".apprv").val();
//        alert(apprv);
//        if (apprv == 1) {
//          $(".apprv").prop("checked", true);
//        } else {
//          $(".apprv").prop("checked", false);
//        }
//      });
//  }
//  checked();

    function tiktUpdfunc() {
        var maindb = "consultmain";

        if ($(".apprv").is(":checked")) {
            // alert(1);
            var tr = $(this).closest("tr"),
                    voucher = tr.find(".vouchno").val();
//            alert(voucher);
            // SAHIL SHAIKH
            $.post(
                    "getApprove.php",
                    {voucher: voucher, maindb: maindb},
                    function (data) {
                        if (data > 0) {
//                            alert("Notified Succesfully");
                            location.reload();
                        }
                    }
            );
        }
    }
});
